ONBOARD STATUS CHECK

use API endpoint URL to check Merchant Onboarding status for Bank2 | Bank3 |Bank5 | Bank6

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Responses for Bank2

{
    "response_code": 1,
    "status": true,
    "is_approved":"Accepted",
    "message": "Onboarding completed",
    "is_casa": 0|1|2 // [ 0-merchant not allowed or not onboarded for dmt casa services, 1-Merchant can do the DMT casa as well AePS transaction, 2-Pending for bank activation for DMT casa services
}
{
    "response_code": 1,
    "status": true,
    "is_approved":"Rejected",
    "message": "Onboarding Rejected by bank, Please contact service provider."
}
{
    "response_code": 1,
    "status": true,
    "is_approved":"Pending",
    "message": "Onboarding complete,Kindly activate the merchant by ekyc process."
}
{
    "response_code": 1,
    "status": true,
    "is_approved":"Verification-Pending",
    "message": "Onboarding complete,Please wait 24hr for merchant verification."
}
{
    "response_code": 0,
    "status": false,
    "is_approved":"Not-Onboarded",
    "message": "Merchant not onboard.",
}

Responses for Bank3

{
    "response_code": 1,
    "status": true,
    "is_approved":"Accepted",   
    "message": "Onboarding completed"
} 

{
    "response_code": 1,
    "status": true,
    "is_approved":"Pending",
    "message": "Merchant oboarding is in process."
}
{
    "response_code": 1,
    "status": true,
    "is_approved":"Rejected",
    "message": "Onboarding Rejected by bank, Please contact service provider..." OR "Merchant Rejected by bank due to negative registory."
}
{
    "response_code": 0,
    "status": false,
    "is_approved":"Not-Onboarded",
    "message": "Merchant not onboard."
}
{
    "response_code": 1,
    "status": true,
    "is_approved":"In-Process",
    "message": "Merchant KYC completed successfully. Kindly wait for 30 mins for bank approval."
}







Responses for Bank5

{
    "response_code": 1,
    "status": true,
    "message": "Onboarding completed",
    "is_approved":"Accepted"
}
{
    "response_code": 1,
    "status": true,
    "message": "Merchant oboarding is in process.",
    "is_approved":"Pending"
}
{
    "response_code": 1,
    "status": true,
    "is_approved":"Rejected",
    "message": "Onboarding Rejected by bank, Please contact service provider..." OR "Merchant Rejected by bank due to negative registory."
}
{
  "response_code": 0,
  "status": false,
  "message": "Merchant onboarding not completed.",
  "is_approved": "Not-Onboarded",
  "current_stage": "ONBOARDING-NOT-STARTED"    //NBOARDING-STARTED","PAN-VERIFICATION","PAN-IMAGE-VERIFICATION","AADHAAR-IMAGE-VERIFICATION","NAME-VERIFICATION","ADDRESS-VERIFICATION
}

Responses for Bank6

{
    "response_code": 1,
    "status": true,
    "message": "Onboarding Completed",
    "is_approved": "Accepted"
    }
Note: Onboarding has been completed, and KYC has also been successfully verified. The customer is eligible to perform transactions.

{
    "response_code": 1,
    "status": true,
    "message": "Onboarding complete,Kindly activate the merchant by ekyc process.",
    "is_approved":"Pending"
}

Note: The merchant onboarding process is complete. The KYC API must be triggered to proceed with activation.
{
    "response_code": 1,
    "status": true,
    "is_approved":"Rejected",
    "message": "Onboarding Rejected by bank, Please contact service provider..." OR "Merchant Rejected by bank due to negative registory."
    }
Note: The merchant application has been rejected by the bank. As the decision is final from the bank's end, no further action can be taken at this stage.

{
  "response_code": 0,
  "status": false,
  "message": "Merchant onboarding not completed.",
  "is_approved": "Not-Onboarded",
  "current_stage": "ONBOARDING-NOT-STARTED"    //NBOARDING-STARTED","PAN-VERIFICATION","PAN-IMAGE-VERIFICATION","AADHAAR-IMAGE-VERIFICATION","NAME-VERIFICATION","ADDRESS-VERIFICATION
}
{
    "response_code": 1,
    "status": true,
    "message": "Onboarding Rejected by bank. Due to $dynamicmessage", //There will be a dynamic message handle accordanly and take action based on next_action key
    "is_approved": "Rejected"
    "next_action": "LOC_UPDATE" / "PAN_DOB_UPDATE"  
    } 

    Note: The merchant is currently in a rejected state. Please proceed with the Location Update API (LOC) or PAN/DOB Update API based on the next_action value.


{
    "response_code": 1,
    "status": true,
    "message": ""Merchant KYC completed successfully. Kindly wait for 30 mins for bank approval.",
    "is_approved": "In-Process"
    }
Note: The eKYC API request has been successfully sent to the bank and is currently awaiting confirmation from the bank's end. No action is required from the partner at this stage.

Body Params
string
required

Merchant code whose status needs to be checked

string
required

Merchant mobile number

string
enum
required

pipe in which merchant onboard status check required

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json